<template>
    <app-view class="mine-order">
        <template #header>
            <app-navbar title="我的订单">
                <template #right>
                    <!-- <Button round @click="onMoreClick">更多</Button> -->
                </template>
            </app-navbar>
        </template>
        <Tabs v-model:active="activeTab">
            <Tab title="采购订单">
                <purchase-trade />
            </Tab>
            <Tab title="供求委托">
                <wr-order />
            </Tab>
            <Tab title="供求成交">
                <wr-trade />
            </Tab>
        </Tabs>
    </app-view>
</template>

<script lang="ts" setup>
import { shallowRef } from 'vue'
import { Tab, Tabs, Button } from 'vant'
// import { useNavigation } from '@/hooks/navigation'
import PurchaseTrade from './components/purchasetrade/index.vue'
import WrOrder from './components/wrorder/index.vue'
import WrTrade from './components/wrtrade/index.vue'

// const { routerTo } = useNavigation()
const activeTab = shallowRef(0)

const onMoreClick = () => {
    switch (activeTab.value) {
        case 0: {
            break
        }
        case 1: {
            break
        }
        case 2: {
            // routerTo('bank-hisstatement')
            break
        }
    }
}
</script>

<style lang="less">
@import './index.less';
</style>